
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class httputils2service implements IRemote{
	public static httputils2service mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public httputils2service() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("httputils2service"), "shub.dpm.httputils2service");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("shub.dpm.httputils2service");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, httputils2service.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _hc = RemoteObject.declareNull("anywheresoftware.b4h.okhttp.OkHttpClientWrapper");
public static RemoteObject _taskidtojob = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
public static RemoteObject _tempfolder = RemoteObject.createImmutable("");
public static RemoteObject _taskcounter = RemoteObject.createImmutable(0);
public static shub.dpm.main _main = null;
public static shub.dpm.parameter _parameter = null;
public static shub.dpm.about _about = null;
public static shub.dpm.barcodescanner _barcodescanner = null;
public static shub.dpm.allgfnkt _allgfnkt = null;
public static shub.dpm.listpat _listpat = null;
public static shub.dpm.endecodetester _endecodetester = null;
public static shub.dpm.jobservice _jobservice = null;
public static shub.dpm.listdata _listdata = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.b4xpages _b4xpages = null;
public static shub.dpm.b4xcollections _b4xcollections = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"AllgFnkt",Debug.moduleToString(shub.dpm.allgfnkt.class),"B4XCollections",Debug.moduleToString(shub.dpm.b4xcollections.class),"B4XPages",Debug.moduleToString(shub.dpm.b4xpages.class),"BarcodeScanner",Debug.moduleToString(shub.dpm.barcodescanner.class),"EnDecodeTester",Debug.moduleToString(shub.dpm.endecodetester.class),"hc",httputils2service._hc,"JobService",Debug.moduleToString(shub.dpm.jobservice.class),"ListData",Debug.moduleToString(shub.dpm.listdata.class),"ListPat",Debug.moduleToString(shub.dpm.listpat.class),"Main",Debug.moduleToString(shub.dpm.main.class),"Parameter",Debug.moduleToString(shub.dpm.parameter.class),"Service",httputils2service.mostCurrent._service,"Starter",Debug.moduleToString(shub.dpm.starter.class),"taskCounter",httputils2service._taskcounter,"TaskIdToJob",httputils2service._taskidtojob,"TempFolder",httputils2service._tempfolder};
}
}